=== debian/control ===
Source: postgresql-9.0
Section: database
Priority: optional
Maintainer: Martin Pitt <mpitt@debian.org>
Uploaders: Peter Eisentraut <petere@debian.org>, Gerfried Fuchs <rhonda@debian.org>, Christoph Berg <myon@debian.org>
Standards-Version: 3.9.1
Build-Depends: debhelper (>= 5.0.37.2), cdbs (>= 0.4.43), perl (>= 5.8),
 libperl-dev, tcl8.5-dev, libedit-dev, libssl-dev, libpq-dev (>= 9.0~),
 zlib1g-dev | libz-dev, libpam0g-dev | libpam-dev, libxml2-dev, libkrb5-dev,
 libldap2-dev, libxslt1-dev, libossp-uuid-dev, python-dev, jade,
 gettext, hardening-wrapper
Homepage: http://www.postgresql.org/
Vcs-Browser: http://bazaar.launchpad.net/~pitti/postgresql/debian-9.0
Vcs-Bzr: https://code.launchpad.net/~pitti/postgresql/debian-9.0

Package: postgresql-9.0
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-client-9.0, postgresql-common (>= 109~), tzdata, ssl-cert, locales
Suggests: oidentd | ident-server
Conflicts: postgresql (<< 7.5)
Description: object-relational SQL database, version 9.0 server
 PostgreSQL is a fully featured object-relational database management
 system.  It supports a large part of the SQL standard and is designed
 to be extensible by users in many aspects.  Some of the features are:
 ACID transactions, foreign keys, views, sequences, subqueries,
 triggers, user-defined types and functions, outer joins, multiversion
 concurrency control.  Graphical user interfaces and bindings for many
 programming languages are available as well.
 .
 This package provides the database server for PostgreSQL 9.0. Servers
 for other major release versions can be installed simultaneously and
 are coordinated by the postgresql-common package. A package providing
 ident-server is needed if you want to authenticate remote connections
 with identd.

Package: postgresql-9.0-dbg
Section: debug
Priority: extra
Architecture: any
Depends: postgresql-9.0 (= ${binary:Version})
Description: debug symbols for postgresql-9.0
 PostgreSQL is a fully featured object-relational database management
 system.  It supports a large part of the SQL standard and is designed
 to be extensible by users in many aspects.  Some of the features are:
 ACID transactions, foreign keys, views, sequences, subqueries,
 triggers, user-defined types and functions, outer joins, multiversion
 concurrency control.  Graphical user interfaces and bindings for many
 programming languages are available as well.
 .
 This package provides detached debugging symbols for PostgreSQL 9.0.

Package: postgresql-client-9.0
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-client-common (>= 107~)
Conflicts: postgresql (<< 7.5)
Suggests: postgresql-9.0, postgresql-doc-9.0
Provides: postgresql-client
Description: front-end programs for PostgreSQL 9.0
 This package contains client and administrative programs for
 PostgreSQL: these are the interactive terminal client psql and
 programs for creating and removing users and databases.
 .
 This is the client package for PostgreSQL 9.0. If you install
 PostgreSQL 9.0 on a standalone machine, you need the server package
 postgresql-9.0, too. On a network, you can install this package on
 many client machines, while the server package may be installed on
 only one machine.
 .  
 PostgreSQL is an object-relational SQL database management system.

Package: postgresql-server-dev-9.0
Architecture: any
Section: libdevel
Depends: ${misc:Depends}, ${shlibs:Depends}, libpq-dev (>= 9.0~)
Description: development files for PostgreSQL 9.0 server-side programming
 Header files for compiling SSI code to link into PostgreSQL's backend; for
 example, for C functions to be called from SQL.
 .
 This package also contains the Makefiles necessary for building add-on 
 modules of PostgreSQL, which would otherwise have to be built in the
 PostgreSQL source-code tree.
 .
 PostgreSQL is an object-relational SQL database management system.

Package: postgresql-doc-9.0
Architecture: all
Section: doc
Depends: ${misc:Depends}
Conflicts: postgresql-doc (<< 7.5)
Description: documentation for the PostgreSQL database management system
 This package contains all README files, user manual, and examples for
 PostgreSQL 9.0. The manual is in HTML format.
 .
 PostgreSQL is an object-relational SQL database management system.

Package: postgresql-contrib-9.0
Architecture: any
Depends: postgresql-9.0, ${misc:Depends}, ${shlibs:Depends}, postgresql-common (>= 109~)
Suggests: libdbd-pg-perl
Conflicts: postgresql-contrib (<< 7.5)
Description: additional facilities for PostgreSQL
 The PostgreSQL contrib package provides several additional features
 for the PostgreSQL database. This version is built to work with the
 server package postgresql-9.0.  contrib often serves as a testbed for
 features before they are adopted into PostgreSQL proper:
 .
  adminpack      - File and log manipulation routines, used by pgAdmin
  btree_gist     - B-Tree indexing using GiST (Generalised Search Tree)
  chkpass        - An auto-encrypted password datatype
  cube           - Multidimensional-cube datatype (GiST indexing example)
  dblink         - Functions to return results from a remote database
  earthdistance  - Operator for computing the distance (in miles) between
                   two points on the earth's surface
  fuzzystrmatch  - Levenshtein, metaphone, and soundex fuzzy string matching
  hstore         - Store (key, value) pairs
  intagg         - Integer aggregator/enumerator
  _int           - Index support for arrays of int4, using GiST (benchmark
                   needs the libdbd-pg-perl package)
  isn            - type extensions for ISBN, ISSN, ISMN, EAN13 product numbers
  lo             - Large Object maintenance
  ltree          - Tree-like data structures
  oid2name       - Maps OIDs to table names
  pageinspect    - Inspection of database pages
  passwordcheck  - Simple password strength checker
  pg_buffercache - Real time queries on the shared buffer cache
  pg_freespacemap- Displays the contents of the free space map (FSM)
  pg_trgm        - Determine the similarity of text based on trigram matching
  pg_standby     - Create a warm stand-by server
  pgbench        - TPC-B like benchmark
  pgcrypto       - Cryptographic functions
  pgrowlocks     - A function to return row locking information
  pgstattuple    - Returns the percentage of dead tuples in a table; this
                   indicates whether a vacuum is required.
  seg            - Confidence-interval datatype (GiST indexing example)
  spi            - PostgreSQL Server Programming Interface; 4 examples of
                   its use:
                   autoinc    - A function for implementing AUTOINCREMENT/
                                IDENTITY
                   insert_username - function for inserting user names
                   moddatetime - Update modification timestamps
                   refint     - Functions for implementing referential
                                integrity (foreign keys).  Note that this is
                                now superseded by built-in referential
                                integrity.
                   timetravel - Re-implements in user code the time travel
                                feature that was removed in 6.3.
  tablefunc      - examples of functions returning tables
  uuid-ossp      - UUID generation functions
  vacuumlo       - Remove orphaned large objects
 .
 PostgreSQL is an object-relational SQL database management system.

Package: postgresql-plperl-9.0
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-9.0, perl
Description: PL/Perl procedural language for PostgreSQL 9.0
 PL/Perl enables an SQL developer to write procedural language functions
 for PostgreSQL 9.0 in Perl.  You need this package if you have any
 PostgreSQL 9.0 functions that use the languages plperl or plperlu.
 .
 PostgreSQL is an object-relational SQL database management system.

Package: postgresql-plpython-9.0
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-9.0
Description: PL/Python procedural language for PostgreSQL 9.0
 PL/Python enables an SQL developer to write procedural language functions
 for PostgreSQL 9.0 in Python.  You need this package if you have any
 PostgreSQL 9.0 functions that use the languages plpython or plpythonu.
 .
 PostgreSQL is an object-relational SQL database management system.

Package: postgresql-pltcl-9.0
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-9.0
Description: PL/Tcl procedural language for PostgreSQL 9.0
 PL/Tcl enables an SQL developer to write procedural language functions
 for PostgreSQL 9.0 in Tcl.  You need this package if you have any
 PostgreSQL 9.0 functions that use the languages pltcl or pltclu.
 .
 PostgreSQL is an object-relational SQL database management system.
