=== debian/watch ===
version=3
opts=uversionmangle=s/alpha/~alpha/ \
http://www.postgresql.org/ftp/source/ /ftp/source/(9\.0.*)/
