## postgresql-9.0 9.0.13

=== debian/changelog ===
postgresql-9.0 (9.0.13-1.pgdg60+1) squeeze-pgdg; urgency=low

  * Rebuild for squeeze-pgdg (jenkins-postgresql-9.0-source-
    distribution=squeeze-14, bzr revision 283)

 -- apt.postgresql.org autobuilder <myon@debian.org>  Tue, 02 Apr 2013 12:48:03 +0200

postgresql-9.0 (9.0.13-1.pgdg+1) sid-pgdg; urgency=high

  * New upstream version.
  * Included security fixes:

    + Fix insecure parsing of server command-line switches (Mitsumasa Kondo,
      Kyotaro Horiguchi)

      A connection request containing a database name that begins with - could
      be crafted to damage or destroy files within the server's data
      directory, even if the request is eventually rejected.  (CVE-2013-1899)

    + Reset OpenSSL randomness state in each postmaster child process
      (Marko Kreen)

      This avoids a scenario wherein random numbers generated by
      contrib/pgcrypto functions might be relatively easy for another database
      user to guess.  The risk is only significant when the postmaster is
      configured with ssl = on but most connections don't use SSL encryption.
      (CVE-2013-1900)

    + Make REPLICATION privilege checks test current user not authenticated
      user (Noah Misch)

      An unprivileged database user could exploit this mistake to call
      pg_start_backup() or pg_stop_backup(), thus possibly interfering with
      creation of routine backups. (CVE-2013-1901)

  * Included fixes that might need user action:

    + Fix GiST indexes to not use fuzzy geometric comparisons when it's not
      appropriate to do so (Alexander Korotkov)

      The core geometric types perform comparisons using fuzzy equality, but
      gist_box_same must do exact comparisons, else GiST indexes using it
      might become inconsistent.  After installing this update, users should
      REINDEX any GiST indexes on box, polygon, circle, or point columns,
      since all of these use gist_box_same.

    + Fix erroneous range-union and penalty logic in GiST indexes that use
      contrib/btree_gist for variable-width data types, that is text, bytea,
      bit, and numeric columns (Tom Lane)

      These errors could result in inconsistent indexes in which some keys
      that are present would not be found by searches, and also in useless
      index bloat.  Users are advised to REINDEX such indexes after installing
      this update.

    + Fix bugs in GiST page splitting code for multi-column indexes (Tom Lane)

      These errors could result in inconsistent indexes in which some keys
      that are present would not be found by searches, and also in indexes
      that are unnecessarily inefficient to search.  Users are advised to
      REINDEX multi-column GiST indexes after installing this update.

  * For a full list of changes, see the release notes in the documentation.

 -- Christoph Berg <myon@debian.org>  Tue, 02 Apr 2013 11:11:30 +0200

postgresql-9.0 (9.0.12-1.pgdg+1) sid-pgdg; urgency=medium

  * New upstream version.
    + Prevent execution of enum_recv from SQL
      The function was misdeclared, allowing a simple SQL command to crash the
      server.  In principle an attacker might be able to use it to examine the
      contents of server memory.  Our thanks to Sumit Soni (via Secunia SVCRP)
      for reporting this issue. (CVE-2013-0255)

 -- Christoph Berg <myon@debian.org>  Tue, 05 Feb 2013 10:11:43 +0100

postgresql-9.0 (9.0.11-2.pgdg+1) sid-pgdg; urgency=low

  * debian/tests: Moved autopkgtest integration here from postgresql-common.
  * Add missing docbook build dependency. (Closes: #697618)
  * debian/rules: Remove the temporary patches from pg_regress, and teach
    pg_regress to support unix socket dirs in --host.

 -- Christoph Berg <myon@debian.org>  Tue, 29 Jan 2013 11:05:07 +0100

postgresql-9.0 (9.0.11-1.pgdg+1) sid-pgdg; urgency=low

  * New upstream bug fix release. See
    /usr/share/doc/postgresql-9.0/changelog.gz for details.

 -- Christoph Berg <myon@debian.org>  Tue, 04 Dec 2012 17:00:54 +0100

postgresql-9.0 (9.0.10-1.pgdgl+1) sid-pgdg; urgency=low

  * New upstream bug fix release.
     * Fix planner's assignment of executor parameters, and fix executor's
       rescan logic for CTE plan nodes (Tom Lane)
       These errors could result in wrong answers from queries that scan
       the same WITH subquery multiple times.
     * Improve page-splitting decisions in GiST indexes (Alexander
       Korotkov, Robert Haas, Tom Lane)
       Multi-column GiST indexes might suffer unexpected bloat due to this
       error.
     * Fix cascading privilege revoke to stop if privileges are still held
       (Tom Lane)
       If we revoke a grant option from some role "X", but "X" still holds
       that option via a grant from someone else, we should not
       recursively revoke the corresponding privilege from role(s) "Y"
       that "X" had granted it to.
     * Improve error messages for Hot Standby misconfiguration errors
       (Gurjeet Singh)
     * Fix handling of SIGFPE when PL/Perl is in use (Andres Freund)
       Perl resets the process's SIGFPE handler to SIG_IGN, which could
       result in crashes later on. Restore the normal Postgres signal
       handler after initializing PL/Perl.
     * Prevent PL/Perl from crashing if a recursive PL/Perl function is
       redefined while being executed (Tom Lane)
     * Work around possible misoptimization in PL/Perl (Tom Lane)
       Some Linux distributions contain an incorrect version of
       "pthread.h" that results in incorrect compiled code in PL/Perl,
       leading to crashes if a PL/Perl function calls another one that
       throws an error.
     * Fix pg_upgrade's handling of line endings on Windows (Andrew
       Dunstan)
       Previously, pg_upgrade might add or remove carriage returns in
       places such as function bodies.
     * On Windows, make pg_upgrade use backslash path separators in the
       scripts it emits (Andrew Dunstan)

